
#define ITEM_TYPE_TEXT					0			// simple text
#define ITEM_TYPE_BUTTON				1			// button, basically text with a border 
#define ITEM_TYPE_RADIOBUTTON			2			// toggle button, may be grouped 
#define ITEM_TYPE_CHECKBOX				3			// check box
#define ITEM_TYPE_EDITFIELD				4			// editable text, associated with a cvar
#define ITEM_TYPE_COMBO					5			// drop down list
#define ITEM_TYPE_LISTBOX				6			// scrollable list  
#define ITEM_TYPE_OWNERDRAW				8			// owner draw, name specs what it is
#define ITEM_TYPE_NUMERICFIELD			9			// editable text, associated with a cvar
#define ITEM_TYPE_SLIDER				10			// mouse speed, volume, etc.
#define ITEM_TYPE_YESNO					11			// yes no cvar setting
#define ITEM_TYPE_MULTI					12			// multiple list setting, enumerated
#define ITEM_TYPE_BORDER				14			//
#define ITEM_TYPE_MLTEXT				15			// multiline text view
#define ITEM_TYPE_LED					16			// little light

#define ITEM_ALIGN_LEFT					0			// left alignment
#define ITEM_ALIGN_CENTER				1			// center alignment
#define ITEM_ALIGN_RIGHT				2			// right alignment
#define ITEM_ALIGN_AUTO					3			// auto right adjust

#define ITEM_TEXTSTYLE_NORMAL			0			// normal text
#define ITEM_TEXTSTYLE_BLINK			1			// fast blinking
#define ITEM_TEXTSTYLE_PULSE			2			// slow pulsing
#define ITEM_TEXTSTYLE_SHADOWED			3			// drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_SHADOWEDMORE		6			// drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_PAD				8			// add _ for maxchars
                          
#define WINDOW_BORDER_NONE				0			// no border
#define WINDOW_BORDER_FULL				1			// full border based on border color ( single pixel )
#define WINDOW_BORDER_HORZ				2			// horizontal borders only
#define WINDOW_BORDER_VERT				3			// vertical borders only 
  
#define WINDOW_STYLE_EMPTY				0			// no background
#define WINDOW_STYLE_FILLED				1			// filled with background color

#define WINDOW_STYLE_SHADER				3			// background shader
#define WINDOW_STYLE_TEAMCOLOR			4			// team color
#define WINDOW_STYLE_CINEMATIC			5			// cinematic
#define WINDOW_STYLE_SHADER_ADJUST		6

#define MENU_TRUE						1			// uh.. true
#define MENU_FALSE						0			// and false

#define HUD_VERTICAL					0
#define HUD_HORIZONTAL					1

// list box element types
#define LISTBOX_TEXT					0
#define LISTBOX_IMAGE					1
#define LISTBOX_MULTI_CONTROLS			2

// list feeders
#define FEEDER_MAPS						1		// text maps based on game type
#define FEEDER_SERVERS					2		// servers
#define FEEDER_ALLMAPS					3		// all maps available, in graphic format
#define FEEDER_PLAYER_LIST				4		// players
#define FEEDER_TEAM_LIST				5		// team members for team voting
#define FEEDER_MODS						6		// mods
#define FEEDER_DEMOS 					7		// demos
#define FEEDER_SCOREBOARD				8		// scoreboard
#define FEEDER_SERVERSTATUS				9		// server status
#define FEEDER_FINDPLAYER				10		// find player
#define FEEDER_CINEMATICS				11		// cinematics
#define FEEDER_BINDINGS					12
#define FEEDER_CONFIGS					13
#define FEEDER_CLASS_CONFIGS			14
#define FEEDER_SYSTEM					15
#define FEEDER_FAVSERVERS				16
#define FEEDER_CLASSINFO				17
#define FEEDER_ADMIN_PLAYERS			18
#define FEEDER_ADMIN_IPS				19
#define FEEDER_ADMIN_BANS				20
#define FEEDER_SERVER_MAPLIST			21
#define FEEDER_GENERAL_SETTINGS			22

// display flags
#define CG_SHOW_RED_TEAM_EXISTS			0x00000001
#define CG_SHOW_BLUE_TEAM_EXISTS		0x00000002
#define CG_SHOW_YELLOW_TEAM_EXISTS		0x00000004
#define CG_SHOW_GREEN_TEAM_EXISTS		0x00000008
#define CG_SHOW_PLAYER_HAS_SENTRYCAM	0x00000010
#define CG_SHOW_PLAYER_HAS_SENTRY		0x00000020
#define CG_SHOW_PLAYER_HAS_SUPSTATION	0x00000040
#define CG_SHOW_PLAYER_HAS_SCANNERON	0x00000080
#define CG_SHOW_ENEMY_USE_SUPSTATION	0x00000100
#define CG_SHOW_FRIENDLY_USE_SUPSTATION 0x00000200

#define CG_SHOW_HEALTHCRITICAL			0x00000400
#define CG_SHOW_LANPLAYONLY				0x00000800
#define CG_SHOW_HEALTHOK				0x00001000
#define CG_SHOW_2DONLY					0x00002000
#define CG_SHOW_WEAPONSWITCH			0x00004000

#define CG_SHOW_ON_RED_TEAM				0x00008000
#define CG_SHOW_ON_BLUE_TEAM			0x00010000
#define CG_SHOW_ON_YELLOW_TEAM			0x00020000
#define CG_SHOW_ON_GREEN_TEAM			0x00040000
#define CG_SHOW_PLAYER_IS_AGENT			0x00080000
#define	CG_SHOW_CHATEDIT				0x00100000
#define	CG_SHOW_ON_TEAM					0x00200000
#define CG_SHOW_ESC_MENU				0x00400000
#define	CG_SHOW_GREN_PRIMED				0x00800000
#define CG_SHOW_GREN_PRIMED2			0x01000000
#define CG_SHOW_ALERT_ICON				0x02000000
#define CG_SHOW_NO_SCOREBOARD			0x04000000

#define CG_SHOW_NOT_ON_RED_TEAM			0x10000000
#define CG_SHOW_NOT_ON_BLUE_TEAM		0x20000000
#define CG_SHOW_NOT_ON_YELLOW_TEAM		0x40000000
#define CG_SHOW_NOT_ON_GREEN_TEAM		0x80000000

#define UI_SHOW_FAVORITESERVERS			0x00000001
#define UI_SHOW_DEMOAVAILABLE			0x00000002
#define UI_SHOW_NOTFAVORITESERVERS		0x00000004

#define UI_SHOW_RED_TEAM_EXISTS			0x00000010
#define UI_SHOW_BLUE_TEAM_EXISTS		0x00000020
#define UI_SHOW_GREEN_TEAM_EXISTS		0x00000040
#define UI_SHOW_YELLOW_TEAM_EXISTS		0x00000080

// owner draw types
// ideally these should be done outside of this file but
// this makes it much easier for the macro expansion to 
// convert them for the designers ( from the .menu files )
#define CG_OWNERDRAW_BASE		1
#define CG_PLAYER_ARMOR_ICON	1              
#define CG_PLAYER_ARMOR_VALUE	2
#define CG_PLAYER_ARMOR_BAR		3
#define CG_PLAYER_HEAD			4
#define CG_PLAYER_HEALTH		5
#define CG_PLAYER_HEALTH_BAR	6
#define CG_PLAYER_AMMOSLOT_ROCKET_VALUE	7
#define CG_PLAYER_AMMOSLOT_SHELLS_VALUE	8
#define CG_PLAYER_AMMOSLOT_NAILS_VALUE	9
#define CG_PLAYER_AMMOSLOT_CELLS_VALUE	10

#define CG_PLAYER_AMMO_ICON			11		// Main slot
#define CG_PLAYER_AMMO_VALUE		12
#define CG_PLAYER_AMMO_CLIP_VALUE	13

#define CG_PLAYER_PRIMARY_GRENADE_VALUE		14
#define CG_PLAYER_SECONDARY_GRENADE_VALUE	15

#define CG_SYSTEM_LAGOMETER	16
#define CG_SYSTEM_FPS		17
#define CG_SYSTEM_TIMER		18

#define CG_ENGINEER_SENTRYCAM			19
#define CG_ENGINEER_SENTRYHEALTH		20
#define CG_ENGINEER_SENTRYBULLETS		21
#define CG_ENGINEER_SENTRYROCKETS		22
#define CG_ENGINEER_SUPSTATIONHEALTH	23

#define CG_RECON_SCANNER	24
#define CG_PLAYER_ITEM		25
#define CG_PLAYER_SCORE		26

#define CG_BLUE_SCORE		27
#define CG_RED_SCORE		28
#define CG_YELLOW_SCORE		29
#define CG_GREEN_SCORE		30

#define CG_RED_NAME			31
#define CG_BLUE_NAME		32
#define CG_YELLOW_NAME		33
#define CG_GREEN_NAME		34

#define CG_RED_TEAMCOUNT	35
#define CG_BLUE_TEAMCOUNT	36
#define CG_YELLOW_TEAMCOUNT	37
#define CG_GREEN_TEAMCOUNT	38

#define CG_RED_TEAMPING		39
#define CG_BLUE_TEAMPING	40
#define CG_YELLOW_TEAMPING	41
#define CG_GREEN_TEAMPING	42

#define CG_PLAYER_LOCATION	43
#define CG_TEAM_COLOR		44
                                        
#define CG_AREA_POWERUP		45

#define CG_GAME_TYPE		47

#define CG_PLAYER_STATUS	48
#define CG_FRAGGED_MSG		49			// painted with old system
#define CG_AREA_FPSINFO		50			// painted with old system
#define CG_AREA_SYSTEMCHAT	51			// painted with old system
#define CG_AREA_TEAMCHAT	52			// painted with old system
#define CG_AREA_CHAT		53			// painted with old system
#define CG_GAME_STATUS		54
#define CG_KILLER			55
#define CG_PLAYER_ARMOR_ICON2D	56              
#define CG_PLAYER_AMMO_ICON2D	57
#define CG_ACCURACY			58
#define CG_ASSISTS			59
#define CG_DEFEND			60
#define CG_EXCELLENT		61
#define CG_IMPRESSIVE		62
#define CG_PERFECT			63
#define CG_GAUNTLET			64
#define CG_SPECTATORS		65
#define CG_TEAMINFO			66
#define CG_VOICE_HEAD		67
#define CG_VOICE_NAME		68
#define CG_PLAYER_HASFLAG2D	69            
#define CG_HARVESTER_SKULLS2D	70		// only shows in harvester
#define CG_CAPFRAGLIMIT		71	 
#define CG_1STPLACE			72
#define CG_2NDPLACE			73
#define CG_CAPTURES			74
// djbob
#define CG_CHATBOX_CONTENT			75
#define CG_TEAMCHATBOX_CONTENT		76
#define CG_CENTERPRINTBOX_CONTENT	77
#define CG_CROSSHAIRINFO_BOX		78
#define CG_CHATEDIT_CONTENT			79

#define CG_WEAPONSWITCH_BOX			80
#define CG_CLASS_ICON				81
#define CG_AGENTDISGUISE_INFO		82
#define CG_MENUBOX_CONTENT			83
#define CG_MENUBOX_TITLE			84
#define CG_GREN_TIMER				85
#define	CG_ALERT_ICON				86
#define CG_GREN_ANALOGUE			87
#define CG_GREN_TIMER_DIGITS		88

// need to keep in order
#define CG_Q3FMENU_OPTION_1		101
#define CG_Q3FMENU_OPTION_2		102
#define CG_Q3FMENU_OPTION_3		103
#define CG_Q3FMENU_OPTION_4		104
#define CG_Q3FMENU_OPTION_5		105
#define CG_Q3FMENU_OPTION_6		106
#define CG_Q3FMENU_OPTION_7		107
#define CG_Q3FMENU_OPTION_8		108
#define CG_Q3FMENU_OPTION_9		109
#define CG_Q3FMENU_OPTION_0		110

#define CG_Q3FMENU_NUMBER_1		111
#define CG_Q3FMENU_NUMBER_2		112
#define CG_Q3FMENU_NUMBER_3		113
#define CG_Q3FMENU_NUMBER_4		114
#define CG_Q3FMENU_NUMBER_5		115
#define CG_Q3FMENU_NUMBER_6		116
#define CG_Q3FMENU_NUMBER_7		117
#define CG_Q3FMENU_NUMBER_8		118
#define CG_Q3FMENU_NUMBER_9		119
#define CG_Q3FMENU_NUMBER_0		120

#define CG_Q3FMENU_RIGHT_1		121
#define CG_Q3FMENU_RIGHT_2		122
#define CG_Q3FMENU_RIGHT_3		123
#define CG_Q3FMENU_RIGHT_4		124
#define CG_Q3FMENU_RIGHT_5		125
#define CG_Q3FMENU_RIGHT_6		126
#define CG_Q3FMENU_RIGHT_7		127
#define CG_Q3FMENU_RIGHT_8		128
#define CG_Q3FMENU_RIGHT_9		129
#define CG_Q3FMENU_RIGHT_0		130

#define CG_Q3F_MENU_BORDER		131
#define CG_Q3F_MENU_TITLE		132

#define CG_SCOREBOARD_TITLE			133
#define CG_SCOREBOARD_TEAMSCORES	134

#define CG_HUDICONS				135
#define CG_LEVELSHOT			136
#define CG_LOADSTATUS			137
#define CG_LOADINFO				138
#define CG_MAPNAME				139
#define CG_FORTLOGO				140
#define CG_MOTD					141
#define CG_MAPINFO				142
#define CG_LOADPROGRESS			143

#define CG_POWERUP_ICON			160
// djbob

#define UI_OWNERDRAW_BASE			200
#define UI_HANDICAP					200
#define UI_EFFECTS					201
//#define UI_GAMETYPE					202
#define UI_MAPPREVIEW				203
#define UI_NETSOURCE				204
#define UI_NETMAPPREVIEW			205
#define UI_ALLMAPS_SELECTION		206
#define UI_VOTE_KICK				207
#define UI_BOTNAME					208
#define UI_CROSSHAIR				209
#define UI_SELECTEDPLAYER			210
#define UI_MAPCINEMATIC				211
//#define UI_NETGAMETYPE				212
#define UI_NETMAPCINEMATIC			213
#define UI_SERVERREFRESHDATE		214
#define UI_SERVERMOTD				215
#define UI_GLINFO					216
#define UI_KEYBINDSTATUS			217
#define UI_JOINGAMETYPE				218
#define UI_PREVIEWCINEMATIC			219
#define UI_STARTMAPCINEMATIC		220
#define UI_MAPS_SELECTION			221
// RR2DO2
#define UI_Q3F_BACKMODELS			222			// rotating models in the background of the q3f menu
#define UI_SERVERREFRESHPROGRESS	223
// RR2DO2
//djbob
#define UI_GAMEINDEX_MAPNAME		224
#define UI_CLASSCONFIG_ACTIVE		225
#define UI_CDKEY_OK					226

#define UI_SPINNING_DUCK			227

#define UI_FORTLOGO					228
#define UI_FLAGBACK					229

#define UI_FAV_SERVER_0				1000
#define UI_FAV_SERVER_1				1001
#define UI_FAV_SERVER_2				1002
#define UI_FAV_SERVER_3				1003
#define UI_FAV_SERVER_4				1004
#define UI_FAV_SERVER_5				1005
#define UI_FAV_SERVER_6				1006
#define UI_FAV_SERVER_7				1007
#define UI_FAV_SERVER_8				1008
#define UI_FAV_SERVER_9				1009




#define HUD_CLASS_TITLE				2000
#define HUD_CLASS_MODEL				2001
#define HUD_CLASS_STAT_HEALTH		2002
#define HUD_CLASS_STAT_ARMOUR		2003
#define HUD_CLASS_STAT_SPEED		2004
#define HUD_CLASS_CHOOSE_BUTTON		2005
#define HUD_CLASS_INV				2006
#define HUD_CLASS_INFO				2007
#define HUD_CLASS_HEADMODEL			2008
#define HUD_CLASS_DISABLED			2009

#define HUD_MAP_BLURB				2010
#define HUD_MAP_LVLSHOT				2011
#define HUD_MAP_NAME				2012

#define HUD_VOTE_STRING				2013
#define HUD_VOTE_TALLY_YES			2014
#define HUD_VOTE_TALLY_NO			2015

#define HUD_TEAM_NAME_RED			2016
#define HUD_TEAM_NAME_BLUE			2017
#define HUD_TEAM_NAME_YELLOW		2018
#define HUD_TEAM_NAME_GREEN			2019

#define HUD_ENDGAME_TEAMSCORES		2020
#define HUD_CHAT					2021

#define HUD_MAPVOTE_NAME_0			2050
#define HUD_MAPVOTE_NAME_1			2051
#define HUD_MAPVOTE_NAME_2			2052
#define HUD_MAPVOTE_NAME_3			2053
#define HUD_MAPVOTE_NAME_4			2054
#define HUD_MAPVOTE_NAME_5			2055
#define HUD_MAPVOTE_NAME_6			2056
#define HUD_MAPVOTE_NAME_7			2057
#define HUD_MAPVOTE_NAME_8			2058
#define HUD_MAPVOTE_NAME_9			2059

#define HUD_MAPVOTE_TALLY_0			2060
#define HUD_MAPVOTE_TALLY_1			2061
#define HUD_MAPVOTE_TALLY_2			2062
#define HUD_MAPVOTE_TALLY_3			2063
#define HUD_MAPVOTE_TALLY_4			2064
#define HUD_MAPVOTE_TALLY_5			2065
#define HUD_MAPVOTE_TALLY_6			2066
#define HUD_MAPVOTE_TALLY_7			2067
#define HUD_MAPVOTE_TALLY_8			2068
#define HUD_MAPVOTE_TALLY_9			2069

#define HUD_MAPVOTE_BAR_0			2070
#define HUD_MAPVOTE_BAR_1			2071
#define HUD_MAPVOTE_BAR_2			2072
#define HUD_MAPVOTE_BAR_3			2073
#define HUD_MAPVOTE_BAR_4			2074
#define HUD_MAPVOTE_BAR_5			2075
#define HUD_MAPVOTE_BAR_6			2076
#define HUD_MAPVOTE_BAR_7			2077
#define HUD_MAPVOTE_BAR_8			2078
#define HUD_MAPVOTE_BAR_9			2079

#define	HUD_MAPVOTE_LEVELSHOT		2080
#define HUD_MAPVOTE_BLURB			2081

//djbob

/*#define VOICECHAT_GETFLAG			"getflag"				// command someone to get the flag
#define VOICECHAT_OFFENSE			"offense"				// command someone to go on offense
#define VOICECHAT_DEFEND			"defend"				// command someone to go on defense
#define VOICECHAT_DEFENDFLAG		"defendflag"			// command someone to defend the flag
#define VOICECHAT_PATROL			"patrol"				// command someone to go on patrol (roam)
#define VOICECHAT_CAMP				"camp"					// command someone to camp (we don't have sounds for this one)
#define VOICECHAT_FOLLOWME			"followme"				// command someone to follow you
#define VOICECHAT_RETURNFLAG		"returnflag"			// command someone to return our flag
#define VOICECHAT_FOLLOWFLAGCARRIER	"followflagcarrier"		// command someone to follow the flag carrier
#define VOICECHAT_YES				"yes"					// yes, affirmative, etc.
#define VOICECHAT_NO				"no"					// no, negative, etc.
#define VOICECHAT_ONGETFLAG			"ongetflag"				// I'm getting the flag
#define VOICECHAT_ONOFFENSE			"onoffense"				// I'm on offense
#define VOICECHAT_ONDEFENSE			"ondefense"				// I'm on defense
#define VOICECHAT_ONPATROL			"onpatrol"				// I'm on patrol (roaming)
#define VOICECHAT_ONCAMPING			"oncamp"				// I'm camping somewhere
#define VOICECHAT_ONFOLLOW			"onfollow"				// I'm following
#define VOICECHAT_ONFOLLOWCARRIER	"onfollowcarrier"		// I'm following the flag carrier
#define VOICECHAT_ONRETURNFLAG		"onreturnflag"			// I'm returning our flag
#define VOICECHAT_INPOSITION		"inposition"			// I'm in position
#define VOICECHAT_IHAVEFLAG			"ihaveflag"				// I have the flag
#define VOICECHAT_BASEATTACK		"baseattack"			// the base is under attack
#define VOICECHAT_ENEMYHASFLAG		"enemyhasflag"			// the enemy has our flag (CTF)
#define VOICECHAT_STARTLEADER		"startleader"			// I'm the leader
#define VOICECHAT_STOPLEADER		"stopleader"			// I resign leadership
#define VOICECHAT_TRASH				"trash"					// lots of trash talk
#define VOICECHAT_WHOISLEADER		"whoisleader"			// who is the team leader
#define VOICECHAT_WANTONDEFENSE		"wantondefense"			// I want to be on defense
#define VOICECHAT_WANTONOFFENSE		"wantonoffense"			// I want to be on offense
#define VOICECHAT_KILLINSULT		"kill_insult"			// I just killed you
#define VOICECHAT_TAUNT				"taunt"					// I want to taunt you
#define VOICECHAT_DEATHINSULT		"death_insult"			// you just killed me
#define VOICECHAT_KILLGAUNTLET		"kill_gauntlet"			// I just killed you with the gauntlet
#define VOICECHAT_PRAISE			"praise"				// you did something good*/

// djbob
#define BINDING_TABLE_LOOK	0
#define BINDING_TABLE_MOVE	1
#define BINDING_TABLE_SHOOT	2
#define BINDING_TABLE_MISC	3
#define BINDING_TABLE_COMS	4

#define SYSTEM_TABLE_GRAPHICS	0
#define SYSTEM_TABLE_DISPLAY	1
#define SYSTEM_TABLE_SOUND		2
#define SYSTEM_TABLE_NETWORK	3

#define CONFIG_READ_NORMAL	0
#define CONFIG_READ_CLASS	1

#define ANCHOR_NONE				0
#define ANCHOR_AUTOSIZE_WIDTH	1
#define ANCHOR_AUTOSIZE_HEIGHT	1
#define ANCHOR_RIGHT			2
#define ANCHOR_BOTTOM			2
#define ANCHOR_CENTER			4
#define ANCHOR_MIDDLE			4

#define Q3F_ITEM_BORDER(Q3F_BRD_X, Q3F_BRD_Y, Q3F_BRD_WIDTH, Q3F_BRD_HEIGHT) \
		Q3F_GROUP_ITEM_BORDER(Q3F_BRD_X, Q3F_BRD_Y, Q3F_BRD_WIDTH, Q3F_BRD_HEIGHT, "")

#define Q3F_GROUP_ITEM_BORDER(Q3F_BRD_X, Q3F_BRD_Y, Q3F_BRD_WIDTH, Q3F_BRD_HEIGHT, Q3F_GROUP) \
		Q3F_GROUP_NAMED_ITEM_BORDER(Q3F_BRD_X, Q3F_BRD_Y, Q3F_BRD_WIDTH, Q3F_BRD_HEIGHT, Q3F_GROUP, "")

#define Q3F_GROUP_NAMED_ITEM_BORDER(Q3F_BRD_X, Q3F_BRD_Y, Q3F_BRD_WIDTH, Q3F_BRD_HEIGHT, Q3F_GROUP, Q3F_NAME) \
		itemDef {											\
			visible 1										\
			rect Q3F_BRD_X Q3F_BRD_Y 8 8					\
			decoration										\
			background "ui/gfx/hud/black_top_left"			\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST				\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 ) Q3F_BRD_Y Q3F_BRD_WIDTH 8	\
			decoration										\
			background "ui/gfx/hud/black_fill_top"		\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST				\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 + Q3F_BRD_WIDTH ) Q3F_BRD_Y 8 8			\
			decoration										\
			background "ui/gfx/hud/black_top_right"		\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST				\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 + Q3F_BRD_WIDTH ) $evalint( Q3F_BRD_Y + 8 ) 8 Q3F_BRD_HEIGHT	\
			decoration										\
			background "ui/gfx/hud/black_fill_right"	\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 + Q3F_BRD_WIDTH ) $evalint( Q3F_BRD_Y + 8 + Q3F_BRD_HEIGHT ) 8 8			\
			decoration										\
			background "ui/gfx/hud/black_bot_right"		\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 ) $evalint( Q3F_BRD_Y + 8 + Q3F_BRD_HEIGHT ) Q3F_BRD_WIDTH 8	\
			decoration										\
			background "ui/gfx/hud/black_fill_bot"		\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect Q3F_BRD_X $evalint( Q3F_BRD_Y + 8 + Q3F_BRD_HEIGHT ) 8 8			\
			decoration										\
			background "ui/gfx/hud/black_bot_left"		\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect Q3F_BRD_X $evalint( Q3F_BRD_Y + 8 ) 8 Q3F_BRD_HEIGHT	\
			decoration										\
			background "ui/gfx/hud/black_fill_left"		\
			group Q3F_GROUP									\
			name Q3F_NAME									\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}


#define Q3F_ITEM_BORDER_FILLED_NEW(Q3F_BRD_X, Q3F_BRD_Y, Q3F_BRD_WIDTH, Q3F_BRD_HEIGHT) \
		itemDef {											\
			visible 1										\
			rect Q3F_BRD_X Q3F_BRD_Y 8 8					\
			decoration										\
			background "ui/gfx/hud/top_left"			\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 ) Q3F_BRD_Y Q3F_BRD_WIDTH 8	\
			decoration										\
			background "ui/gfx/hud/fill_top"			\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 + Q3F_BRD_WIDTH ) Q3F_BRD_Y 8 8			\
			decoration										\
			background "ui/gfx/hud/top_right"			\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 + Q3F_BRD_WIDTH ) $evalint( Q3F_BRD_Y + 8 ) 8 Q3F_BRD_HEIGHT	\
			decoration										\
			background "ui/gfx/hud/fill_right"	\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 + Q3F_BRD_WIDTH ) $evalint( Q3F_BRD_Y + 8 + Q3F_BRD_HEIGHT ) 8 8			\
			decoration										\
			background "ui/gfx/hud/bot_right"			\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect $evalint( Q3F_BRD_X + 8 ) $evalint( Q3F_BRD_Y + 8 + Q3F_BRD_HEIGHT ) Q3F_BRD_WIDTH 8	\
			decoration										\
			background "ui/gfx/hud/fill_bot"			\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect Q3F_BRD_X $evalint( Q3F_BRD_Y + 8 + Q3F_BRD_HEIGHT ) 8 8			\
			decoration										\
			background "ui/gfx/hud/bot_left"			\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
		itemDef {											\
			visible 1										\
			rect Q3F_BRD_X $evalint( Q3F_BRD_Y + 8 ) 8 Q3F_BRD_HEIGHT	\
			decoration										\
			background "ui/gfx/hud/fill_left"			\
			style WINDOW_STYLE_SHADER_ADJUST						\
		}													\
															\
  		itemDef {															\
			visible 1														\
			rect $evalint( Q3F_BRD_X + 8 ) $evalint( Q3F_BRD_Y + 8 ) Q3F_BRD_WIDTH Q3F_BRD_HEIGHT	\
			decoration														\
			background "ui/gfx/hud/fill_center_grey"					\
			style WINDOW_STYLE_SHADER_ADJUST										\
		}

#define Q3F_MENU_ITEM_OPTION(Y_COORD, NUMBER)									\
		itemDef {																\
			visible MENU_TRUE													\
			rect 48 Y_COORD 96 20												\
			decoration															\
			ownerDraw $evalint( CG_Q3FMENU_OPTION_1 + NUMBER )					\
			textscale .27														\
			textaligny 16														\
			useAssetFont														\
			forecolor 1 1 1 0.8													\
		}

#define Q3F_MENU_ITEM_NUMBER(Y_COORD, NUMBER)						\
		itemDef {													\
			visible MENU_TRUE										\
			rect 24 Y_COORD 20 20									\
			decoration												\
			textscale .27											\
			textaligny 16											\
			textalignx 10											\
			textalign ITEM_ALIGN_CENTER								\
			ownerDraw $evalint( CG_Q3FMENU_NUMBER_1 + NUMBER )		\
			useAssetFont											\
			forecolor 1 1 1 0.8										\
		}

#define Q3F_MENU_ITEM_RIGHT(Y_COORD, NUMBER)					\
		itemDef {												\
			visible MENU_TRUE									\
			rect 148 Y_COORD 20 20								\
			decoration											\
			ownerDraw $evalint( CG_Q3FMENU_RIGHT_1 + NUMBER )	\
			textalignx 10										\
			textalign ITEM_ALIGN_CENTER							\
			textscale .27										\
			textaligny 16										\
			useAssetFont										\
			forecolor 1 1 1 0.8									\
		}
		









#define Q3F_BUTTON(Q3F_BTNNAME, Q3F_BTNTEXT, Q3F_BTN_X, Q3F_BTN_Y, Q3F_BTN_WIDTH, Q3F_GROUP, Q3F_BTN_ACTIONS) \
		itemDef {																		\
			name Q3F_BTNNAME															\
			visible 1																	\
			rect Q3F_BTN_X Q3F_BTN_Y 16 32												\
			background		"ui/gfx/named_button_left"									\
			altbackground	"ui/gfx/named_button_left_focus"							\
			style WINDOW_STYLE_SHADER_ADJUST													\
			group Q3F_GROUP																\
			type		ITEM_TYPE_BUTTON												\
			noPulseOnFocus																\
			mouseEnter	{ setitembackground Q3F_BTNNAME alt }							\
			mouseExit	{ setitembackground Q3F_BTNNAME primary }						\
			action		{ play "ui/sound/menu4.wav"; Q3F_BTN_ACTIONS }					\
		}																				\
		itemDef {																		\
			name Q3F_BTNNAME															\
			visible 1																	\
			rect $evalint( Q3F_BTN_X + Q3F_BTN_WIDTH - 16 ) Q3F_BTN_Y 16 32				\
			background		"ui/gfx/named_button_right"									\
			altbackground	"ui/gfx/named_button_right_focus"							\
			style WINDOW_STYLE_SHADER_ADJUST													\
			group Q3F_GROUP																\
			type		ITEM_TYPE_BUTTON												\
			noPulseOnFocus																\
			mouseEnter	{ setitembackground Q3F_BTNNAME alt }							\
			mouseExit	{ setitembackground Q3F_BTNNAME primary }						\
			action		{ play "ui/sound/menu4.wav"; Q3F_BTN_ACTIONS }					\
		}																				\
		itemDef {																		\
			visible 1																	\
			rect $evalint( Q3F_BTN_X + 16 ) Q3F_BTN_Y $evalint( Q3F_BTN_WIDTH - 32 ) 32	\
			name Q3F_BTNNAME															\
			text Q3F_BTNTEXT															\
			textalignx $evalint( ( Q3F_BTN_WIDTH - 32 ) / 2 )							\
			textaligny 21																\
			textscale .27																\
			textalign	ITEM_ALIGN_CENTER												\
			type		ITEM_TYPE_BUTTON												\
			background		"ui/gfx/named_button_center"								\
			altbackground	"ui/gfx/named_button_center_focus"							\
			style WINDOW_STYLE_SHADER_ADJUST													\
			noPulseOnFocus																\
			useAssetFont																\
			mouseEnter	{ setitembackground Q3F_BTNNAME alt }							\
			mouseExit	{ setitembackground Q3F_BTNNAME primary }						\
			action		{ play "ui/sound/menu4.wav"; Q3F_BTN_ACTIONS }					\
			group Q3F_GROUP																\
		}

#define Q3F_BUTTON_SPECIAL(Q3F_BTNNAME, Q3F_BTNTEXT, Q3F_BTN_X, Q3F_BTN_Y, Q3F_BTN_WIDTH, Q3F_GROUP, Q3F_BTN_ACTIONS, Q3F_EXTRASTUFF) \
		itemDef {																		\
			name Q3F_BTNNAME															\
			visible 1																	\
			rect Q3F_BTN_X Q3F_BTN_Y 16 32												\
			background		"ui/gfx/named_button_left"									\
			altbackground	"ui/gfx/named_button_left_focus"							\
			style WINDOW_STYLE_SHADER_ADJUST													\
			group Q3F_GROUP																\
			type		ITEM_TYPE_BUTTON												\
			noPulseOnFocus																\
			mouseEnter	{ setitembackground Q3F_BTNNAME alt }							\
			mouseExit	{ setitembackground Q3F_BTNNAME primary }						\
			action		{ play "ui/sound/menu4.wav"; Q3F_BTN_ACTIONS }					\
			Q3F_EXTRASTUFF																\
		}																				\
		itemDef {																		\
			visible 1																	\
			rect $evalint( Q3F_BTN_X + 16 ) Q3F_BTN_Y $evalint( Q3F_BTN_WIDTH - 32 ) 32	\
			name Q3F_BTNNAME															\
			text Q3F_BTNTEXT															\
			textalignx $evalint( ( Q3F_BTN_WIDTH - 32 ) / 2 )							\
			textaligny 21																\
			textscale .27																\
			textalign	ITEM_ALIGN_CENTER												\
			type		ITEM_TYPE_BUTTON												\
			background		"ui/gfx/named_button_center"								\
			altbackground	"ui/gfx/named_button_center_focus"							\
			style WINDOW_STYLE_SHADER_ADJUST													\
			noPulseOnFocus																\
			useAssetFont																\
			Q3F_EXTRASTUFF																\
			mouseEnter	{ setitembackground Q3F_BTNNAME alt }							\
			mouseExit	{ setitembackground Q3F_BTNNAME primary }						\
			action		{ play "ui/sound/menu4.wav"; Q3F_BTN_ACTIONS }					\
			group Q3F_GROUP																\
		}																				\
		itemDef {																		\
			name Q3F_BTNNAME															\
			visible 1																	\
			rect $evalint( Q3F_BTN_X + Q3F_BTN_WIDTH - 16 ) Q3F_BTN_Y 16 32				\
			background		"ui/gfx/named_button_right"									\
			altbackground	"ui/gfx/named_button_right_focus"							\
			style WINDOW_STYLE_SHADER_ADJUST													\
			group Q3F_GROUP																\
			type		ITEM_TYPE_BUTTON												\
			noPulseOnFocus																\
			mouseEnter	{ setitembackground Q3F_BTNNAME alt }							\
			mouseExit	{ setitembackground Q3F_BTNNAME primary }						\
			action		{ play "ui/sound/menu4.wav"; Q3F_BTN_ACTIONS }					\
			Q3F_EXTRASTUFF																\
		}
